Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-algorithms-10.txt

From: [email-masked]
Date: Mon, 14 Feb 2022 06:41:11 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Algorithms
        Authors         : Hendrik Brockhaus
                          Hans Aschauer
                          Mike Ounsworth
                          John Gray
	Filename        : draft-ietf-lamps-cmp-algorithms-10.txt
	Pages           : 32
	Date            : 2022-02-14

Abstract:
   This document updates RFC 4210 describing the conventions for using
   concrete cryptographic algorithms with the Certificate Management
   Protocol (CMP).  CMP is used to enroll and further manage the
   lifecycle of X.509 certificates.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-algorithms/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-algorithms-10.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-algorithms-10

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Mon, 14 Feb 2022 14:51:23 +0000

Hi 

I updated the CMP Algorithms draft with the following changes:
   From version 09 -> 10:
   *  Removed the pre-RFC5378 work disclaimer after the RFC 4210 authors
      granted BCP78 rights to the IETF Trust
   *  Implemented the changes proposed by Quynh, (see thread "Quynh
      Action: draft-ietf-lamps-cmp-algorithms-08.txt") and removed
      markers for ToDos regarding this review of SHAKE and KMAC usage as
      well as on the tables in Section 7

@Quynh, could you please again check Table 1 and Table 2. I hope I performed all changes you recommended.
@Roman, I hope all of your comments and the comments from IETF 112 are addresses and solved with this updated version.

Hendrik

> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> algorithms%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com
> %7Ce1a65b9f8bba41e9efaa08d9efc82898%7C38ae3bcd95794fd4addab42e14
> 95d55a%7C1%7C0%7C637804465227126884%7CUnknown%7CTWFpbGZsb3d
> 8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D
> %7C3000&amp;sdata=Zbxyz%2ByFi3I3ZxMSWW9Dj32H8WgbkxOpjww0v0%2B
> VmlA%3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-algorithms-
> 10.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce1a
> 65b9f8bba41e9efaa08d9efc82898%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637804465227126884%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C30
> 00&amp;sdata=5FjqGhTvZjVlAOW0bWF%2BWV3FMYGRaUko1TOlY7aZmxU%
> 3D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-algorithms-
> 10&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7Ce1a65b9f
> 8bba41e9efaa08d9efc82898%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637804465227126884%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3000&a
> mp;sdata=hbgZCjUWEmRsgjTxfOPFr%2F854veLMcMPDPmmBky1FxM%3D&am
> p;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.br
> ockhaus%40siemens.com%7Ce1a65b9f8bba41e9efaa08d9efc82898%7C38ae3
> bcd95794fd4addab42e1495d55a%7C1%7C0%7C637804465227126884%7CUnk
> nown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1
> haWwiLCJXVCI6Mn0%3D%7C3000&amp;sdata=wzYmwkjDaJmgU52vxZeeIfeqv
> nIZEaXu5k5uphr5FO0%3D&amp;reserved=0